> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/api/overview/pagination.md).

# Pagination

When requesting a list of records, the response usually contains the following fields:

<table><thead><tr><th width="190">Field</th><th>Description</th></tr></thead><tbody><tr><td><strong>count</strong></td><td>The total number of results.</td></tr><tr><td><strong>previous</strong></td><td>A URL to the previous page, or <code>null</code> if this is the first page.</td></tr><tr><td><strong>next</strong></td><td>A URL to the next page, or <code>null</code> if this is the last page.</td></tr><tr><td><strong>overflow</strong></td><td>Boolean flag that indicates if the search has more results than your subscription allows you to view.</td></tr></tbody></table>

The following is an example response:

```json
{
  "count": 189,
  "overflow": false,
  "previous": null,
  "next": "https://api.predicthq.com/v1/endpoint/?offset=10&limit=10",
  "results": [
    {
        // record 1
    },
    {
        // record 2
    }

    // more records

  ]
}
```

Individual API Endpoint documentation describes specific response formats.

You can control which records the API returns using the standard `offset` and `limit` query string parameters. If no limit is specified, then a default of `10` applies.

[Your plan](https://control.predicthq.com/settings/plans) specifies the maximum number of results and pagination limits. If you require higher limits [contact us](https://www.predicthq.com/contact) to discuss your needs.

## Maximum number of results

When the number of results exceeds the maximum number of records allowed by your subscription the API sets the `overflow` field to `true`. This indicates there are more results available but you are unable to paginate to them.

You can work around this limitation by performing more specific searches resulting in fewer results.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.predicthq.com/api/overview/pagination.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
